#include "lpc23xx.h"

void init_ssp1(void){
	PINSEL9 |= (1<<14)|(1<<15)|(1<<12)|(1<<13)|(1<<8)|(1<<9); //MISO;MOSI;SCK
	
	SSP1CR0 = 0xF; //16 Bit
	SSP1CPSR = 2;
	SSP1CR1 = 2; //Enabled
}

unsigned char sendbyte_ssp(unsigned short data){
	SSP1DR = data; 	//Sendet ein Byte
	while(!(SSP1SR & (1<<4))); //Wartet bis Byte gesendet wurde
	return (SSP1DR);
}
